List
curl --request GET \
--url https://apimgmt.cometchat.io/apps \
--header 'key: <key>' \
--header 'secret: <secret>'import requests
url = "https://apimgmt.cometchat.io/apps"
headers = {
"key": "<key>",
"secret": "<secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {key: '<key>', secret: '<secret>'}};
fetch('https://apimgmt.cometchat.io/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<APP_ID>",
"name": "<App Name>",
"plan": "trial",
"trialEndsAt": 1588887393,
"state": "active",
"owner": 1656,
"region": "us",
"createdAt": 1586295393,
"appOwner": {
"id": "1656",
"name": "<OWNER_NAME>",
"email": "youremail@domain.com"
},
"appRegion": {
"id": "us",
"name": "USA",
"description": "The USA region has serverslocated at Ohio."
},
"accessKey": "<API_KEY>",
"apiKeys": {
"<API_KEY1>": {
"apiKey": "<API_KEY1>",
"name": "Rest API Key",
"scope": "fullAccess",
"createdBy": "app_system"
},
"<API_KEY2>": {
"apiKey": "<API_KEY2>",
"name": "Auth Key",
"scope": "authOnly",
"createdBy": "app_system"
}
}
}
}App
List
Lists all the apps for an account.
GET
/
apps
List
For the complete error reference, see Error Guide.
Query Parameters
The "searchKey" query parameter allows filtering results based on either the ID or name properties of the apps.
The "perPage" property specifies the total number of records to be fetched in a single request. It determines the maximum number of items returned per page.
The "page" property is utilized for navigating through the available pages of results. It indicates the specific page of results that is being retrieved or accessed.
Was this page helpful?
⌘I